View Issue Details

IDProjectCategoryView StatusLast Update
0007361GNUnetutil librarypublic2022-09-21 17:30
Reportermd Assigned Toschanzen  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformGNU/LinuxOSGuix SystemOS Versionv???
Product Version0.17.5 
Target Version0.17.6 
Summary0007361: GNUnet 0.17.5 fails to build: src/test_crypto_ecc.c:41: undefined reference to `GNUNET_CRYPTO_ecdsa_sign_raw'
DescriptionI tried updating Guix' GNUnet package to 0.17.5, but the build failed with the following error:

```
  CC test_crypto_ecc.o
In file included from ../../src/include/gnunet_crypto_lib.h:65,
                 from ../../src/include/gnunet_util_lib.h:65,
                 from test_crypto_ecc.c:27:
test_crypto_ecc.c: In function ‘test_GNUNET_CRYPTO_ecdsa_sign_raw’:
test_crypto_ecc.c:42:18: warning: implicit declaration of function ‘GNUNET_CRYPTO_ecdsa_sign_raw’; did you mean ‘GNUNET_CRYPTO_eddsa_sign_raw’? [-Wimplicit-function-declaration]
   42 | GNUNET_CRYPTO_ecdsa_sign_raw (&skey,
      | ^~~~~~~~~~~~~~~~~~~~~~~~~~~~
../../src/include/gnunet_common.h:921:12: note: in definition of macro ‘GNUNET_assert’
  921 | if (! (cond)) \
      | ^~~~
  CCLD test_crypto_ecc
ld: test_crypto_ecc.o: in function `test_GNUNET_CRYPTO_ecdsa_sign_raw':
/tmp/guix-build-gnunet-0.17.5.drv-0/gnunet-0.17.5/src/util/test_crypto_ecc.c:41: undefined reference to `GNUNET_CRYPTO_ecdsa_sign_raw'
collect2: error: ld returned 1 exit status
```
TagsNo tags attached.

Activities

schanzen

2022-09-21 17:30

administrator   ~0019161

Fix committed to master branch.

Related Changesets

gnunet: master c50fba92

2022-09-21 19:30

schanzen


Details Diff
UTIL: Remove outdated test. Fixes 0007361 Affected Issues
0007361
mod - src/util/Makefile.am Diff File
rm - src/util/test_crypto_ecc.c Diff File

Issue History

Date Modified Username Field Change
2022-09-12 17:39 md New Issue
2022-09-19 02:50 schanzen Assigned To => schanzen
2022-09-19 02:50 schanzen Status new => assigned
2022-09-21 17:19 schanzen Target Version => 0.17.6
2022-09-21 17:30 schanzen Changeset attached => gnunet master c50fba92
2022-09-21 17:30 schanzen Note Added: 0019161
2022-09-21 17:30 schanzen Status assigned => resolved
2022-09-21 17:30 schanzen Resolution open => fixed